Bug 1571170 - Some hardware fails to recover tunable parameters after hibernate
Summary: Some hardware fails to recover tunable parameters after hibernate
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: tuned
Version: 29
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-24 08:49 UTC by Rob Hicks
Modified: 2019-11-27 19:43 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 19:43:59 UTC
Type: Bug


Attachments (Terms of Use)
dmesg output from entering to exiting hibernation (5.40 KB, text/plain)
2018-04-24 08:49 UTC, Rob Hicks
no flags Details

Description Rob Hicks 2018-04-24 08:49:38 UTC
Created attachment 1425871 [details]
dmesg output from entering to exiting hibernation

Description of problem:

After enabling tuned and laptop powermanagement profiles using powertop2tuned (and saving profile) all components in powertop are marked "Good" on the tunables tab.  Power usage is impressively low (4-6W).  

After hibernating the machine and waking up, some components are now reported as "Bad" in powertop (e.g.):

>> Bad  Autosuspend for USB device Pen and multitouch sensor [Wacom Co.,Ltd.] 

Power usage goes up to the 6-8W range for my typical usage after coming out of hibernation. I can reset this to "good" in powertop by pressing enter.

dmesg output around the hibernation event is attached.

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. Boot machine
2. In powertop check that tuned power saving profiles loaded by examining all tunables set to good
3. Hibernate machine
4. Repeat the check in step 2.  Note that some hardware is now "Bad".

Actual results:
Fails to recover pre-hibernation tunable states

Expected results:
Upon wakeup, the power profiles are as before hibernation.

Additional info:
This is on the X1 Yoga Gen 3.  On this machine S3 sleep isn't supported, instead s0i3 sleep is but it fails to enter a sleep state that has acceptable power savings.  That's why I am using hibernation.

Comment 1 Rob Hicks 2018-07-11 04:08:08 UTC
This seems to have started happening again since kernel 4.17.3 (happens in coming out of both suspend and hibernate).

Comment 2 Bernie Innocenti 2018-10-15 07:10:16 UTC
Still happening with the latest Fedora 29 kernel (kernel-4.18.13-300.fc29.x86_64).

This is a serious power management issue for users of Lenovo X1 Gen6, Lenovo X1 Yoga Gen3 and possibly other recent laptops that don't provide the S3 state. When you close the lid, unless *all* devices are set to "auto", the machine won't power down the USB bus, and drain the battery quickly while in S2idle state.
The laptop will also overheat when stored in a backpack.

The bug is probably present in both F28 and F29.

Comment 3 Rob Hicks 2018-11-03 17:33:53 UTC
I disabled tuned, and this is still occurring 4.18.16-300.fc29.x86_64.

So this is not a tuned issue and should be relabeled.  Probably it is an issue with usb subsystem or more likely the wacom driver.

Comment 4 Ben Cotton 2019-10-31 20:34:55 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2019-11-27 19:43:59 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.